Subject: Re: [PATCHv6 net-next 1/4] net: add a common function to compute features for upper devices

From: Hangbin Liu <[email-masked]>
Date: Tue, 21 Oct 2025 10:05:29 +0000

On Tue, Oct 21, 2025 at 10:46:22AM +0200, Paolo Abeni wrote:
> >> + *	netdev_compute_master_upper_features - compute feature from lowers
> > 
> > nit: I'm slightly annoyed (that's not quite the right word, sorry)
> > that we're adding a new function to "compute features" that doesn't
> > touch netdev->features, but I can't come up with a better name
> > (the best I got was "compute extra features" and it doesn't help).
> 
> I'm not the right person to ask a good name, and I'm ok with the current
> one, but since the question is pending... what about:
> 
> netdev_{compute,update}_offloads_from_lower()

The naming is a bit inconsistent.

We originally used netdev_compute_features_from_lowers(), but later changed it
to netdev_compute_master_upper_features() based on Jiri’s suggestion.
Following that pattern, maybe netdev_compute_master_upper_offloads() would be
a suitable name?

If you agree, I can post a new version. If not, we can just leave it as is.

Thanks
Hangbin